# pętla iteracyjna for

polka_z_danymi = ( "Adam", 333, 1974, 195.8, True)

for pojedyncza_dana in polka_z_danymi:
    print("-------------------")
    
    if pojedyncza_dana == 333:
        print("** Kontynujemy")
        # nie wykonujemy dalszych instrukji bloku kodu dla tego elementu
        # tylko przeskakujemy do kolejnego elementu kolekcji
        continue

    print(f"{pojedyncza_dana=}")
    if pojedyncza_dana == 1974:
        print("* Jest data urodzenia - przerywam")
        break
    else:
        print("Nie wiem, co to jest")

    print("--koniec pętli")
    
print("KONIEC - po pętli lub po break")

